GET /runs/{run_id}/model-call-usageList model-call usage event references.
Servers
[
{
"url": "https://api.veryfront.com"
}
]Authentication
[
{
"bearerAuth": []
},
{
"apiKeyAuth": []
}
]{
"bearerAuth": {
"type": "http",
"scheme": "bearer",
"bearerFormat": "JWT or API Key",
"description": "Use a JWT bearer token or a Veryfront API key in the `Authorization` header."
},
"apiKeyAuth": {
"type": "apiKey",
"in": "header",
"name": "X-API-Key",
"description": "Alternative API key header for `vf_<prefix>_<secret>` tokens."
}
}Parameters
Parameter contracts
[
{
"schema": {
"type": "string",
"format": "uuid"
},
"required": true,
"example": "11111111-1111-4111-8111-111111111111",
"name": "run_id",
"in": "path"
},
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 100,
"default": 50
},
"required": false,
"name": "limit",
"in": "query"
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 1024
},
"required": false,
"name": "cursor",
"in": "query"
}
]Responses
200
Model-call usage references
{
"description": "Model-call usage references",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ModelCallUsageReferencesPage"
}
}
}
}400
Bad request
{
"description": "Bad request",
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 400
}
}
}
]
}
}
}
}401
Unauthorized
{
"description": "Unauthorized",
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 401
}
}
}
]
}
}
}
}403
Forbidden
{
"description": "Forbidden",
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 403
}
}
}
]
}
}
}
}404
Not found
{
"description": "Not found",
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 404
}
}
}
]
}
}
}
}429
Rate limit exceeded
{
"description": "Rate limit exceeded",
"headers": {
"Retry-After": {
"schema": {
"type": "integer",
"format": "int32",
"minimum": 1
}
}
},
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 429
}
}
}
]
}
}
}
}Referenced contracts
components/schemas/ModelCallUsageReferencesPage
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ModelCallUsageReference"
}
},
"page_info": {
"type": "object",
"properties": {
"next_cursor": {
"type": [
"string",
"null"
]
},
"has_more": {
"type": "boolean"
}
},
"required": [
"next_cursor",
"has_more"
],
"additionalProperties": false
}
},
"required": [
"data",
"page_info"
],
"additionalProperties": false
}components/schemas/ModelCallUsageReference
{
"type": "object",
"properties": {
"event_id": {
"type": "string",
"format": "uuid"
},
"source": {
"type": "string",
"minLength": 1
}
},
"required": [
"event_id",
"source"
],
"additionalProperties": false
}components/schemas/TargetRunProblem
{
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Problem type URI reference."
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 400,
"maximum": 599,
"format": "int64"
},
"code": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"cause": {
"type": "string",
"enum": [
"schedule_concurrency_forbidden",
"schedule_fire_in_progress",
"schedule_run_limit_reached"
],
"description": "Schedule admission refusal."
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"field": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"field",
"message"
]
}
}
},
"required": [
"type",
"title",
"status",
"code"
]
}Operation contract
{
"operationId": "listRunModelCallUsage",
"security": [
{
"bearerAuth": []
},
{
"apiKeyAuth": []
}
],
"tags": [
"execution/Runs/Run Events"
],
"summary": "List model-call usage references",
"description": "List model-call usage event references.",
"parameters": [
{
"schema": {
"type": "string",
"format": "uuid"
},
"required": true,
"example": "11111111-1111-4111-8111-111111111111",
"name": "run_id",
"in": "path"
},
{
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 100,
"default": 50
},
"required": false,
"name": "limit",
"in": "query"
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 1024
},
"required": false,
"name": "cursor",
"in": "query"
}
],
"responses": {
"200": {
"description": "Model-call usage references",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ModelCallUsageReferencesPage"
}
}
}
},
"400": {
"description": "Bad request",
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 400
}
}
}
]
}
}
}
},
"401": {
"description": "Unauthorized",
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 401
}
}
}
]
}
}
}
},
"403": {
"description": "Forbidden",
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 403
}
}
}
]
}
}
}
},
"404": {
"description": "Not found",
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 404
}
}
}
]
}
}
}
},
"429": {
"description": "Rate limit exceeded",
"headers": {
"Retry-After": {
"schema": {
"type": "integer",
"format": "int32",
"minimum": 1
}
}
},
"content": {
"application/problem+json": {
"schema": {
"allOf": [
{
"$ref": "#/components/schemas/TargetRunProblem"
},
{
"properties": {
"status": {
"const": 429
}
}
}
]
}
}
}
}
},
"x-documentation-source-tag": "Run events",
"x-canonical-documentation": {
"domain": "execution",
"resource": "Runs",
"subgroup": "Run Events",
"name": "List model-call usage references",
"description": "List model-call usage event references.",
"operationId": "listRunModelCallUsage"
},
"x-mint": {
"href": "/cloud/rest/api-reference/execution-runs-run-events/list-model-call-usage-references"
}
}